<?php

/*
==========================================
 PHP-NUKE: Feedback Setting module
 Version .1
==========================================
 Copyright (c) 2007
  By Nathan Burke
  
 This program is free software. You can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation
 
==========================================
*/

if (!defined('ADMIN_FILE')) {
	die ("Access Denied");
}

global $prefix, $db, $admin_file; 
$aid = substr("$aid", 0,25); 
$row = $db->sql_fetchrow($db->sql_query("SELECT radminsuper FROM " . $prefix . "_authors WHERE aid='$aid'")); 
if ($row['radminsuper'] == 1) 
{
	function Modify() 
	{
		global $prefix, $db, $admin_file; 
		include("header.php");
		GraphicAdmin();
    
    echo "<form action=\"$admin_file.php?op=feedback\" method=\"POST\">\n";		
		Opentable();
		echo "<center><font class=\"title\"><b>Feedback Settings Administration</b></font></center>";
		Closetable();
		
		//Update database if form has been submitted
		if($_POST['Update'] == "Update") 
			updateDB($_POST);
    elseif($_POST['Add'] == "Add")
      addRow($_POST['addrow_value']);
      
		$Variables = array();
		$sql = "select * from feedbackblock_config where name != 'type'";
		$result = $db->sql_query($sql);
		while($row = $db->sql_fetchrow($result))
			$Variables[$row['name']] = $row['value'];
      
    $types = array();
    $sql = "select * from feedbackblock_config where name = 'type'";
    $result = $db->sql_query($sql);
    while($row = $db->sql_fetchrow($result))
      array_push($types, array('id' => $row['id'], 'name' => $row['value']));

    getUsers($PostfromList, $Variables['userid']['value']);
    getForums($PosttoList, $Variables['forumid']['value']);

		OpenTable();
		newTable("General Settings");
		showTextInput("title", "Title:", $Variables['title']);
		echo "<tr><td>Post application to:</td>\n";
		echo "<td>";
		showAdminOption("forumid_value", $Variables['forumid'], $PosttoList);
		echo "</td></tr>";
		echo "<tr><td>Post using user:</td>\n";
		echo "<td>";
		showAdminOption("userid_value", $Variables['userid'], $PostfromList);
		echo "</td></tr>";
    showTypes($types);
    showTextInput("addrow", "Add Type:", "", 52, false);
    echo "<input id=\"Add\" name=\"Add\" type=\"SUBMIT\" value=\"Add\" />";
    echo "</td></tr>";
		exitTable();
		CloseTable();

		OpenTable();
		newTable("Update Form");
		echo "<tr>\n";
		echo "  <td align=\"center\">\n";
		echo "    <input id=\"Update\" name=\"Update\" type=\"SUBMIT\" value=\"Update\">&nbsp;&nbsp;\n";
		echo "    <input id=\"Reset\" name=\"Reset\" type=\"RESET\" value=\"Reset Form\">\n";
		echo "  </td>\n";
		echo "</tr>\n";
		exitTable();
		CloseTable();
	}
  
  function showTypes($array)
  {
    global $admin_file;
    foreach($array as $row)
    {
      echo "<tr>\n";
      echo "<td>";
      echo $row['name'];
      echo "</td>";
      echo "<td>";
      echo "<input name=\"Remove\" OnClick=\"location.href='$admin_file.php?op=feedback_remove&remove={$row['id']}'\" type=\"BUTTON\" value=\"Delete\">\n";
      echo "</td>";
      echo "</tr>";
    }
  }
	
	function updateDB($array)
	{
		global $db;
		$tempArray1 = array_values($array);
		$tempArray2 = array_keys($array);
		for($i = 0; $i < count($array); $i++)
			if($tempArray2[$i] != "Update")
				$arrayData[$i] = array('name' => $tempArray2[$i], 'value' => $tempArray1[$i]);
		foreach($arrayData as $row)
		{
			$var = explode("_", $row['name']);
			$sql = "update feedbackblock_config set `{$var[1]}`='".addslashes($row['value'])."' where `name`='".addslashes($var[0])."'";
			if(!$db->sql_query($sql))
				echo "Error updating database: $sql<br />";
		}
	}
  
  function Remove($value)
  {
    global $db;
    $sql = "DELETE FROM `feedbackblock_config` WHERE `id` = $value LIMIT 1";
    if(!$db->sql_query($sql))
      echo "Error updating database: $sql<br />";
  }
  
  function addRow($value)
  {
    if($value == "")
      return;
		global $db;
    $sql = "INSERT INTO `feedbackblock_config` (`name` ,`value` ,`id`)VALUES ('type', '$value', NULL);";
    if(!$db->sql_query($sql))
      echo "Error updating database: $sql<br />";
  }
	
	switch($op) 
	{
		case "feedback":
		Modify();
		break;
    case "feedback_remove":
    Remove($remove);
    Modify();
    break;
	}

}
else {
	include("header.php");
	Opentable();
	echo "Access Denied";
	Closetable();
	include("footer.php");
}

function getUsers(&$array, $selected)
{
	global $db, $prefix;
	$sql = "select user_id, username from " . $prefix . "_users";
	$result = $db->sql_query($sql);
	$array = array();
	while($row = $db->sql_fetchrow($result))
		if($selected == $row['id'])
			array_push($array, array('id' => $row['user_id'], 'name' => $row['username'], 'selected' => true));
		else
			array_push($array, array('id' => $row['user_id'], 'name' => $row['username']));
}

function getForums(&$array, $selected)
{
	global $db, $prefix;
  $array = array();
	$sql = "select forum_id, forum_name from " . $prefix . "_bbforums";
	$result = $db->sql_query($sql);
	while($row = $db->sql_fetchrow($result))
		if($selected == $row['id'])
			array_push($array, array('id' => $row['forum_id'], 'name' => $row['forum_name'], 'selected' => true));
		else
			array_push($array, array('id' => $row['forum_id'], 'name' => $row['forum_name']));
}

function showAdminOption($ID, $selected, $array = false)
{
	$options = explode("_", $selected);
	if(count($options) == 3)
		$selected = $options[0] . "_" . $options[1];
	if(!$array)
	{
		$array = array(0 => array('id' => 0, 'name' => "No"), 1 => array('id' => 1, 'name' => "Yes"));
		$array[$selected]['selected'] = true;
	}
	echo "<select id=\"$ID\" name=\"$ID\">\n";
	foreach($array as $row)
	{
		echo "<option value=\"{$row['id']}\""; 
		if($row['id'] == $selected) 
			echo " SELECTED"; 
		echo ">{$row['name']}</option>\n";
	}
	echo "</select>\n";
}

function newTable($title = "")
{
	if($title != "")
		echo "<center><font class=\"option\"><b>$title</b></font></center>";
	echo "<table align=\"center\" width=\"500\" border=\"0\" cellpadding=\"0\">\n";
}
function exitTable()
{
	echo "</table>";
}

function showTextInput($ID, $title, $value, $width = 60, $close = true)
{
	echo "<tr>\n";
	echo "  <td width=\"100\">$title</td>\n";
	echo "  <td width=\"100\"><input type=\"text\" id=\"".$ID."_value\" name=\"".$ID."_value\" value=\"$value\" size=\"$width\" />\n";
  if($close)
    echo "</td>\n</tr>\n";
}
?>