<?php

/*
==========================================
 PHP-NUKE: FeedBack block
 Version .2
==========================================
 Copyright (c) 2007
  By Nathan Burke
  
 This program is free software. You can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation
 
==========================================
*/

define('NO_EDITOR', TRUE);  //Supress WYSIWYG editor - comment out if not applicable

// Set this to the path to your feedback page
$feedbackpage = "modules.php?name=Feedback_Forum";

// This blocks anyone from accessing the file directly
if (eregi("block-FeedbackBlock.php",$_SERVER['PHP_SELF'])) 
{
	Header("Location: index.php");
	die();
}

global $db;

$Variables = array();
$sql = "select * from feedbackblock_config where name != 'type'";
$result = $db->sql_query($sql);
while($row = $db->sql_fetchrow($result))
  $Variables[$row['name']] = $row['value'];
$types = array();
$sql = "select * from feedbackblock_config where name = 'type'";
$result = $db->sql_query($sql);
while($row = $db->sql_fetchrow($result))
  array_push($types, array('id' => 'type_'.$row['id'], 'name' => $row['value']));

$content   = " <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
$content  .= "   <tr>\n";
$content  .= "     <td align=\"center\"><font class=\"menuhead\"><strong>".$Variables['title']."</strong></font></td>\n";
$content  .= "   </tr>\n";
$content  .= "   <tr>\n";
$content  .= "      <td>\n";
$content  .= "         <tr>\n";
$content  .= "           <form action=\"$feedbackpage\" method=\"POST\">\n";
$content  .= "             <table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
$content  .= "               <tr>\n";
$content  .= "                 <td>\n";
$content  .= showOption("type_value", $types);
$content  .= "                 </td>\n";
$content  .= "               </tr>\n";
$content  .= showTextBox("feedback", "");
$content  .= "               <tr>\n";
$content  .= "                 <td align=\"right\">\n\n";
$content  .= "                   <input id=\"Submit\" name=\"Submit\" type=\"SUBMIT\" value=\"Submit\" />\n";
$content  .= "                 </td>\n";
$content  .= "               </tr>\n";
$content  .= "            </form>\n";
$content  .= "         </tr>\n";
$content  .= "      </td>\n";
$content  .= "   </tr>\n";
$content  .= " </table>\n";

function showTextBox($ID, $value)
{
  $lc = "";
  $lc .= "<tr>\n";
  $lc .= "  <td align=\"center\">";
  $lc .= "    <textarea id=\"".$ID."_value\" name=\"".$ID."_value\" rows=\"10\" cols=\"16\" >$value</textarea>\n";
  $lc .= "  </td>\n";
  $lc .= "</tr>";
  return $lc;
}

function showOption($ID, $array = false)
{
  $lc = "";
	if(!$array)
		$array = array(0 => array('id' => 0, 'name' => "No"), 1 => array('id' => 1, 'name' => "Yes"));
	$lc .= "<select id=\"$ID\" name=\"$ID\">\n";
	foreach($array as $row)
		$lc .= "<option value=\"{$row['id']}\">{$row['name']}</option>\n";
	$lc .= "</select>\n";
  return $lc;
}

?>