<?php
/*
==========================================
 PHP-NUKE: Guild Application module
Version 2.2.1
==========================================
 Copyright (c) 2007
  by Nathan Burke
  based on work by:
    Arioch - http://www.black-blades.org

 This program is free software. You can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation
 
==========================================
*/


$module_name = basename(dirname(__FILE__));
//define('NO_EDITOR', TRUE);  //Supress WYSIWYG editor - comment out if not applicable

global $db;

include("header.php");

OpenTable();

if(!$_POST)  //if there's no post data, there's nothing we can do so return to form
{
  echo "This form cannot be accessed directly<br/>";
  include("footer.php");
	exit;
}

//Array ( [type_value] => type_2 [feedback_value] => !@#$%^&*() [Submit] => Submit )
$type = false;
$userid = false;
$forumid = false;


$sql = "select id, value from feedbackblock_config where name = 'type'";
$result = $db->sql_query($sql);
while($row = $db->sql_fetchrow($result))
  if('type_'.$row['id'] == $_POST['type_value'])
  {
    $type = $row['value'];
    break;
  }

$sql = "select name, value from feedbackblock_config where name = 'userid' or name = 'forumid'";
$result = $db->sql_query($sql);
while($row = $db->sql_fetchrow($result))
{
  if($row['name'] == 'userid')
    $userid = $row['value'];
  elseif($row['name'] == 'forumid')
    $forumid = $row['value'];
}

if(submit_post($forumid, "Feedback: " . $type, $_POST['feedback_value'], $userid))
  echo "<center><h1>Thank you</h1><br/>Your request has been submitted</center>";

CloseTable();
include("footer.php");
exit;

/***************************************************************************
 *                            functions_post.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: functions_post.php,v 1.9.2.52 2006/05/06 13:38:55 grahamje Exp $
 * 
 *
 ***************************************************************************
*    Gutted and specialized by Nathan Burke to work with the application module
/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
//
// Post a new topic/reply/poll or edit existing post/poll
//
function submit_post($forum_id, $post_subject, $post_message, $user_id = 1, $addPoll = 0, $pollLength = 7)
{
	global $prefix, $db;
	$current_time = time();
	$success = true;
	$sql = "INSERT INTO " . $prefix . "_bbtopics (topic_title, topic_poster, topic_time, forum_id, topic_status, topic_type, topic_vote) VALUES ('$post_subject', $user_id, $current_time, $forum_id, 0, 0, $addPoll)";
	if (!$db->sql_query($sql))
	{
		$sql = "INSERT INTO " . $prefix . "_bbtopics (topic_title, topic_poster, topic_time, forum_id, topic_status, topic_type, topic_vote) VALUES ('".mysql_real_escape_string($post_subject)."', $user_id, $current_time, $forum_id, 0, 0, $addPoll)";
		if (!$db->sql_query($sql))
		{
			echo "Error 1 while submitting application, your application has not been submitted<br />";
      echo $sql . "<br>";
			$success = false;
		}
	}
	$topic_id = $db->sql_nextid();
	$sql = "INSERT INTO " . $prefix . "_bbposts (topic_id, forum_id, poster_id, post_time) VALUES ($topic_id, $forum_id, $user_id, $current_time)";
	if (!$db->sql_query($sql, BEGIN_TRANSACTION))
	{
		echo "Error 2 while submitting application, your application has not been submitted<br />";
    echo $sql . "<br>";
		$success = false;
	}
	$post_id = $db->sql_nextid();
	$sql = "INSERT INTO " . $prefix . "_bbposts_text (post_id, post_subject, post_text) VALUES ($post_id, '$post_subject', '$post_message')";
	if (!$db->sql_query($sql))
	{
		$sql = "INSERT INTO " . $prefix . "_bbposts_text (post_id, post_subject, post_text) VALUES ($post_id, '".mysql_real_escape_string($post_subject)."', '".mysql_real_escape_string($post_message)."')";
		if (!$db->sql_query($sql))
		{
			echo "Error 3 while submitting application, your application has not been submitted<br />";
      echo $sql . "<br>";
			$success = false;
		}
	}
	$sql = "UPDATE " . $prefix . "_bbtopics SET topic_last_post_id='$post_id', topic_first_post_id='$post_id' WHERE topic_id=$topic_id";
	if (!$db->sql_query($sql))
	{
		echo "Error 4 while submitting application, your application has not been submitted<br />";
		$success = false;
	}
	if ($addPoll == 1)
	{
		$poll_title = "Take Action?";
		$sql = "INSERT INTO " . $prefix . "_bbvote_desc (topic_id, vote_text, vote_start, vote_length) VALUES ($topic_id, '$poll_title', $current_time, " . ($pollLength * 86400) . ")";
		if (!$db->sql_query($sql))
		{
			echo "Error 5 while submitting application, your application has not been submitted<br />";
			$success = false;
		}
		$poll_id = $db->sql_nextid();
		$poll_options = array(array(1, "Yes"), array(2, "No"), array(3, "Abstain"));
		foreach($poll_options as $option)
		{
			$sql = "INSERT INTO " . $prefix . "_bbvote_results (vote_id, vote_option_id, vote_option_text) VALUES ($poll_id, {$option[0]}, '{$option[1]}')";
			if (!$db->sql_query($sql))
			{
				echo "Error 6 while submitting application, your application has not been submitted<br />";
				$success = false;
			}
		}
	}
  if(!$success)
    echo "Please inform the webmaster.<br />";
	$sql = "select forum_posts, forum_topics, forum_last_post_id from " . $prefix . "_bbforums where forum_id='$forum_id'";
	$result = $db->sql_query($sql);
	$forumdata = $db->sql_fetchrow($result);
	$forumdata['forum_posts'] = (int)$forumdata['forum_posts'] + 1;
	$forumdata['forum_topics'] = (int)$forumdata['forum_topics'] + 1;
	$forumdata['forum_last_post_id'] = $post_id;
	$sql = "UPDATE " . $prefix . "_bbforums SET forum_last_post_id='{$forumdata['forum_last_post_id']}', forum_posts='{$forumdata['forum_posts']}', forum_topics='{$forumdata['forum_topics']}' where forum_id='$forum_id'";
	$db->sql_query($sql);
	return $success;
}
?>